@echo off
echo Import JRC IES climatological data
echo Rainfall (mm) 
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,8%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%




echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/int/africa/rain/int_africa_rain_%shortfilename1%.zip"



echo off
if not exist "%OutputDrive%\%OutputDir%\int_africa_rain_%shortfilename1%.zip"  goto MESSAGE
echo The file(s) "%OutputDrive%\%OutputDir%\int_africa_rain_%shortfilename1%.zip" will be copied to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from http://spirits.jrc.ec.europa.eu/files/ecmwf/int/africa/rain
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\int_africa_rain_%shortfilename1%.zip

"%gdalDir%\gdal_translate" -of ilwis int_africa_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\int_africa_rain_%shortfilename1%.mpr"

del int_africa_rain_%shortfilename1%.zip
del int_africa_rain_%shortfilename1%.img
del int_africa_rain_%shortfilename1%.hdr
del int_africa_rain_%shortfilename1%.mpr.aux.xml

:END
"%IlwDir%\ilwis.exe" -C closeall