@echo off
echo Import JRC IES precipitation data
echo Rainfall (mm) 
echo Global dekadal rainfall
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,8%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%




echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/ope/africa/rain/ope_africa_rain_%shortfilename1%.zip"
"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/ope/europe/rain/ope_europe_rain_%shortfilename1%.zip"
"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/ope/asia/rain/ope_asia_rain_%shortfilename1%.zip"
"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/ope/pacific/rain/ope_pacific_rain_%shortfilename1%.zip"
"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/ope/south-america/rain/ope_south-america_rain_%shortfilename1%.zip"
"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/ecmwf/ope/north-america/rain/ope_north-america_rain_%shortfilename1%.zip"


echo off
if not exist "%OutputDrive%\%OutputDir%\ope_africa_rain_%shortfilename1%.zip"  goto MESSAGE
echo The file(s) "%OutputDrive%\%OutputDir%\ope_africa_rain_%shortfilename1%.zip" will be copeied to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from http://spirits.jrc.ec.europa.eu/files/ecmwf/ope/africa/rain
echo Check also manually if the data exists on ftp archive (see link above)
echo opeernet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\ope_africa_rain_%shortfilename1%.zip
"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\ope_europe_rain_%shortfilename1%.zip
"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\ope_asia_rain_%shortfilename1%.zip
"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\ope_pacific_rain_%shortfilename1%.zip
"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\ope_south-america_rain_%shortfilename1%.zip
"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\ope_north-america_rain_%shortfilename1%.zip

"%gdalDir%\gdal_translate" -of ilwis ope_africa_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\ope_africa_rain_%shortfilename1%.mpr"
"%gdalDir%\gdal_translate" -of ilwis ope_europe_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\ope_europe_rain_%shortfilename1%.mpr"
"%gdalDir%\gdal_translate" -of ilwis ope_asia_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\ope_asia_rain_%shortfilename1%.mpr"
"%gdalDir%\gdal_translate" -of ilwis ope_pacific_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\ope_pacific_rain_%shortfilename1%.mpr"
"%gdalDir%\gdal_translate" -of ilwis ope_north-america_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\ope_north_america_rain_%shortfilename1%.mpr"
"%gdalDir%\gdal_translate" -of ilwis ope_south-america_rain_%shortfilename1%.img "%OutputDrive%\%OutputDir%\ope_south_america_rain_%shortfilename1%.mpr"

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\MARS_ope_rain_global%shortfilename1%'.mpr:=MapGlue('%UtilDir%\MARS_global'.grf,ope_africa_rain_%shortfilename1%,ope_asia_rain_%shortfilename1%,ope_europe_rain_%shortfilename1%,ope_north_america_rain_%shortfilename1%,ope_south_america_rain_%shortfilename1%,ope_pacific_rain_%shortfilename1%,replace)

del ope_africa_rain_%shortfilename1%.zip
del ope_africa_rain_%shortfilename1%.img
del ope_africa_rain_%shortfilename1%.hdr
del ope_africa_rain_%shortfilename1%.mp*
del ope_africa_rain_%shortfilename1%.csy
del ope_africa_rain_%shortfilename1%.grf

del ope_europe_rain_%shortfilename1%.zip
del ope_europe_rain_%shortfilename1%.img
del ope_europe_rain_%shortfilename1%.hdr
del ope_europe_rain_%shortfilename1%.mp*
del ope_europe_rain_%shortfilename1%.csy
del ope_europe_rain_%shortfilename1%.grf

del ope_asia_rain_%shortfilename1%.zip
del ope_asia_rain_%shortfilename1%.img
del ope_asia_rain_%shortfilename1%.hdr
del ope_asia_rain_%shortfilename1%.mp*
del ope_asia_rain_%shortfilename1%.csy
del ope_asia_rain_%shortfilename1%.grf

del ope_pacific_rain_%shortfilename1%.zip
del ope_pacific_rain_%shortfilename1%.img
del ope_pacific_rain_%shortfilename1%.hdr
del ope_pacific_rain_%shortfilename1%.mp*
del ope_pacific_rain_%shortfilename1%.csy
del ope_pacific_rain_%shortfilename1%.grf

del ope_north-america_rain_%shortfilename1%.zip
del ope_north-america_rain_%shortfilename1%.img
del ope_north-america_rain_%shortfilename1%.hdr
del ope_north_america_rain_%shortfilename1%.mp*
del ope_north_america_rain_%shortfilename1%.csy
del ope_north_america_rain_%shortfilename1%.grf


del ope_south-america_rain_%shortfilename1%.zip
del ope_south-america_rain_%shortfilename1%.img
del ope_south-america_rain_%shortfilename1%.hdr
del ope_south_america_rain_%shortfilename1%.mp*
del ope_south_america_rain_%shortfilename1%.csy
del ope_south_america_rain_%shortfilename1%.grf

:END
"%IlwDir%\ilwis.exe" -C closeall