@echo off
echo Extract MOD16 ET global monthly coverage in mm per month
echo Data is experimental
echo Data is extracted from ftp://ftp.ntsg.umt.edu/pub/MODIS/NTSG_Products/MOD16/MOD16A2_MONTHLY.MERRA_GMAO_1kmALB/GEOTIFF_0.05degree/ 
echo File name format MOD16A2_ET_0.05deg_GEO_2000M01.hdf
echo Output is in lat-lon
echo.
echo. 

set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~4,2%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" "ftp://ftp.ntsg.umt.edu/pub/MODIS/NTSG_Products/MOD16/MOD16A2_MONTHLY.MERRA_GMAO_1kmALB/GEOTIFF_0.05degree/MOD16A2_ET_0.05deg_GEO_%shortfilename1%M%shortfilename2%.hdf"


echo off
if not exist "%OutputDrive%\%OutputDir%\MOD16A2_ET_0.05deg_GEO_%shortfilename1%M%shortfilename2%.hdf"  goto MESSAGE
echo The file(s) "MOD16A2_ET_0.05deg_GEO_%shortfilename1%M%shortfilename2%.hdf" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%%shortfilename2%
echo Data is retrieved from ftp://ftp.ntsg.umt.edu/pub/MODIS/NTSG_Products/MOD16/MOD16A2_MONTHLY.MERRA_GMAO_1kmALB/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


"%GdalDir%\gdal_translate.exe" -of ILWIS MOD16A2_ET_0.05deg_GEO_%shortfilename1%M%shortfilename2%.hdf MOD16t_ET_%shortfilename1%%shortfilename2%.mpr 2> nul


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\MOD16_ET_%shortfilename1%%shortfilename2%.mpr{dom=value;vr=-327.6700:327.0000:0.0001}:=%OutputDrive%\%OutputDir%\MOD16t_ET_%shortfilename1%%shortfilename2%.mpr*0.1


del %OutputDrive%\%OutputDir%\MOD16t_ET_%shortfilename1%%shortfilename2%.mp*
del %OutputDrive%\%OutputDir%\MOD16A2_ET_0.05deg_GEO_%shortfilename1%M%shortfilename2%.hdf


:END
"%IlwDir%\ilwis.exe" -C closeall