@echo off
echo Import of SRTM 1 arcsecond data - 30 meter
rem echo Here data is retrieved from http://e4ftl01.cr.usgs.gov//MODV6_Dal_D/SRTM/SRTMGL1.003/2000.02.11/
echo Data retrieved from http://e4ftl01.cr.usgs.gov/SRTM/SRTMGL1.003/2000.02.11/
echo Data is 1 by 1 degree
echo Data downloaded is in hgt format
echo Filename input convention  N29W108.SRTMGL1.hgt.zip   
echo Select the lower left X coordinate in degree from W180 to E180
echo Select the lower left Y coordinate in degree from S60 to N60
echo.
echo.
echo Import routine assumes the 1 by 1 degree tiles
echo Two parameters are required related to the lower XY of the tile to be extracted

echo Input string required is N00E000 or S00W000 referring to lower left corner


set longfilename=%1
set shortfilename1=%longfilename:~0,3%
set shortfilename2=%longfilename:~3,4%


set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%



echo.
echo.
echo Your STRM tile northings specification entered =%shortfilename1%
echo Your STRM tile eastings specification entered = %shortfilename2%
echo.
echo Your current SRTM Tile specification = %shortfilename1%%shortfilename2%.SRTMGL1.hgt.zip
echo Your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget" http://e4ftl01.cr.usgs.gov/SRTM/SRTMGL1.003/2000.02.11/%shortfilename1%%shortfilename2%.SRTMGL1.hgt.zip


echo off
if not exist "%OutputDrive%\%OutputDir%\%shortfilename1%%shortfilename2%.SRTMGL1.hgt.zip"  goto MESSAGE
echo The file(s) "%shortfilename1%%shortfilename2%.SRTMGL1.hgt.zip" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Window Coordinate settings
echo Your current Window Coordinate used is %shortfilename1%  %shortfilename2%
echo Data is retrieved by default from http://e4ftl01.cr.usgs.gov//MODV6_Dal_D/SRTM/SRTMGL1.003/2000.02.11/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START



"%UtilDir%\7z.exe" e %shortfilename1%%shortfilename2%.SRTMGL1.hgt.zip


"%gdalDir%\gdal_translate" -ot Float32 -of ilwis %shortfilename1%%shortfilename2%.hgt srtm1_%shortfilename1%%shortfilename2%.mpr




del %OutputDrive%\%OutputDir%\%shortfilename1%%shortfilename2%.SRTMGL1.hgt.zip
del %OutputDrive%\%OutputDir%\srtm1_%shortfilename1%%shortfilename2%.mpr.aux.xml
del %OutputDrive%\%OutputDir%\%shortfilename1%%shortfilename2%.hgt

:END
"%IlwDir%\ilwis.exe" -C closeall
