@echo off
echo Extract NDVI (NOAA-17 calibration)
echo Short Term Average (STA)
echo File name format stav.zip (from 03 to 08)
echo Output is 36 decades STA NDVI
echo Scaled from 0 to 1
echo.
echo.

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%


echo set OutputDrive=%4>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" http://earlywarning.usgs.gov/ftp2/raster/n7/bil/a/stav.zip

echo off
if not exist "%OutputDrive%\%OutputDir%\stav.zip"  goto MESSAGE
echo The file(s) "stav.zip" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from http://earlywarning.usgs.gov/ftp2/raster/n7/bil/a/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!

pause

GOTO END

:START

"%UtilDir%\7z.exe" e stav.zip stav03_08\*.bil

copy %IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\fews_ndvi17stav_loop.bat

for %%j in (asm*.bil) do cmd /c fews_ndvi17stav_loop.bat %%j


del stav.zip
del fews_ndvi17stav_loop.bat
del inputparam.bat

:END
"%IlwDir%\ilwis.exe" -C closeall