@echo off
echo Extract Global Precipitation Mission (GPM) 
echo IMERG Integrated Multi-satellitE Retrievals for GPM 
echo Archive used is ftp://gpm1.gesdisc.eosdis.nasa.gov/data/s4pa/GPM_L3/GPM_3IMERGM.03/yyyy/
echo File name convention 3B-MO.MS.MRG.3IMERG.20140601-S000000-E235959.06.V03D.HDF5
echo Monthly precipitation in mm/hr
echo Data is converted to mm/day
echo As representation use imerg

echo.
echo.


set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~4,2%
set OutputDrive=%4
set OutputDir=%5
set GdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" ftp://gpm1.gesdisc.eosdis.nasa.gov/data/s4pa/GPM_L3/GPM_3IMERGM.03/%shortfilename1%/3B-MO.MS.MRG.3IMERG.%shortfilename1%%shortfilename2%01-S000000-E235959.%shortfilename2%.V03D.HDF5



echo off
if not exist "%OutputDrive%\%OutputDir%\3B-MO.MS.MRG.3IMERG.%shortfilename1%%shortfilename2%01-S000000-E235959.%shortfilename2%.V03D.HDF5"  goto MESSAGE
echo The file(s) "3B-MO.MS.MRG.3IMERG.%shortfilename1%%shortfilename2%01-S000000-E235959.%shortfilename2%.V03D.HDF5" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%%shortfilename2%
echo Data is retrieved from ftp://gpm1.gesdisc.eosdis.nasa.gov/data/s4pa/GPM_L3/GPM_3IMERGM.03/%shortfilename1%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


set SDK_ROOT=%GdalDir%\gdal111\
set SDK_ROOT=%SDK_ROOT:\\=\%
SET "PATH=%SDK_ROOT%;%PATH%"
SET "GDAL_DATA=%SDK_ROOT%gdal-data"
SET "GDAL_DRIVER_PATH=%SDK_ROOT%gdalplugins"
SET "PROJ_LIB=%SDK_ROOT%projlib"


"%GdalDir%\gdal111\gdal_translate.exe" -of ilwis HDF5:"3B-MO.MS.MRG.3IMERG.%shortfilename1%%shortfilename2%01-S000000-E235959.%shortfilename2%.V03D.HDF5"://Grid/precipitation gpm_raw.mpr
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\gpm_rawr180.mpr:=MapMirrorRotate(%OutputDrive%\%OutputDir%\gpm_raw,Rotate180)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\gpm_imerg_mo_%shortfilename1%_%shortfilename2%.mpr:=MapMirrorRotate(%OutputDrive%\%OutputDir%\gpm_rawr180,Rotate90)
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\gpm_imerg_mo_%shortfilename1%_%shortfilename2%.mpr %ultilDir%\gpm_imerg.grf
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\gpm_imerg_mo_day%shortfilename1%_%shortfilename2%{dom=value;vr=0.00:1000.00:0.001}:=%OutputDrive%\%OutputDir%\gpm_imerg_mo_%shortfilename1%_%shortfilename2%*24


rem delete obsolete objects

del %OutputDrive%\%OutputDir%\gpm_raw.mp*
del %OutputDrive%\%OutputDir%\gpm_rawr180*
del %OutputDrive%\%OutputDir%\gpm_imerg_mo_%shortfilename1%_%shortfilename2%.mp*
del %OutputDrive%\%OutputDir%\3B-MO.MS.MRG.3IMERG.%shortfilename1%%shortfilename2%01-S000000-E235959.%shortfilename2%.V03D.HDF5


:END

"%IlwDir%\ilwis.exe" -C closeall